<nz-card style="margin-top: 1em" id="tab2">
  <div nz-row>
    <div nz-col nzLg="24">
      <h3>{{ 'development.pageName.tab2' | translate }}</h3>
    </div>
  </div>
  <nz-table
    class="listHandleOffer"
    [nzData]="listHandleOffer?.length > 0 ? listHandleOffer : []"
    [nzShowPagination]="false"
    [nzScroll]="{ x: '100%', y: '250px' }"
  >
    <thead>
      <tr>
        <th scope="col" nzWidth="155px">
          {{ 'development.salary-list.table.col.proposeCode' | translate }}
        </th>
        <th scope="col" nzWidth="150px"
          *ngIf="formGroupPropose !== constantsCodeFormGroup.PV && formGroupPropose !== constantsCodeFormGroup.TGCV">
          {{ 'development.salary-list.table.col.16' | translate }}
        </th>
        <th scope="col" nzWidth="250px">{{ 'development.proposed-unit.table.unit' | translate }}</th>
        <th scope="col" nzWidth="160px">{{ 'development.proposed-unit.table.title' | translate }}</th>
        <th scope="col" nzWidth="110px">{{ 'development.proposed-unit.table.level' | translate }}</th>
        <th scope="col" nzWidth="150px">{{ 'development.proposed-unit.table.position' | translate }}</th>
        <th scope="col" nzWidth="118px">
          {{ 'development.consultation-screen.LCBN' | translate }}
        </th>
        <th scope="col" nzWidth="370px">
          {{ 'development.consultation-screen.violationContent' | translate }}
        </th>

        <th scope="col" nzWidth="170px">
          {{ 'development.consultation-screen.ideaSortSalary' | translate }}
        </th>
        <th scope="col" nzWidth="100px">
          {{ 'development.proposed-unit.table.salaryStatus' | translate }}
        </th>
        <th scope="col" nzWidth="102px">{{ 'development.consultation-screen.needInterview' | translate }}</th>
        <th scope="col" nzWidth="120px">
          {{ 'development.proposed-unit.table.interviewCondition' | translate }}
        </th>
        <th scope="col" nzWidth="95px">{{ 'development.consultation-screen.needConsultation' | translate }}</th>
        <th scope="col" nzWidth="100px">
          {{ 'development.proposed-unit.table.consultationCondition' | translate }}
        </th>
        <th scope="col" nzWidth="140px">
          {{ 'development.template.search.approvalLevel' | translate }}
        </th>
        <th scope="col" nzWidth="200px">
          {{ 'development.approvement-propose.search.approvePerson' | translate }}
        </th>
        <th scope="col" nzWidth="200px">
          {{ 'development.approvement-issue.search.signer' | translate }}
        </th>
        <th scope="col" nzWidth="150px" class="text-center">
          {{ 'development.proposed-unit.table.minimumTime' | translate }}
        </th>
        <th scope="col" nzWidth="300px">
          {{ 'development.proposed-unit.table.maximumTime2' | translate }}
        </th>
        <th scope="col" nzWidth="70px" nzRight *ngIf="typeAction === screenType.update"></th>
        <th scope="col" nzWidth="70px" nzRight *ngIf="typeAction === screenType.detail"></th>
      </tr>
    </thead>
    <tbody>
      <tr *ngFor="let item of listHandleOffer; let i = index">
        <ng-container *ngIf="!item?.isEdit; else editHandleOffer">
          <td>{{ item?.optionCode }}</td>
          <td *ngIf="formGroupPropose !== constantsCodeFormGroup.PV && formGroupPropose !== constantsCodeFormGroup.TGCV">
            {{ item?.formRotationName }}
          </td>
          <td>
            {{ item?.proposeUnitPathName }}
          </td>
          <td>{{ item?.proposeTitleName }}</td>
          <td>{{ item?.titleLevelName }}</td>

          <td>{{ item?.proposePositionName }}</td>

          <td>{{ item?.conditionLcbn }}</td>
          <td>{{ item?.contentViolation }}</td>
          <td class="text-ellipsis" nz-tooltip nzTooltipPlacement="top" [nzTooltipTitle]="item?.salaryComment">
            {{ item?.salaryComment }}
          </td>
          <td>{{ item?.salaryStatus }}</td>
          <td class="text-center">
            <label nz-checkbox [(ngModel)]="item.hasInterview" name="hasInterview" [disabled]="true"></label>
          </td>
          <td>{{ item?.statusInterview }}</td>
          <td class="text-center">
            <label nz-checkbox [(ngModel)]="item.hasConsultation" name="hasConsultation" [disabled]="true"></label>
          </td>
          <td>{{ item?.statusConsultation }}</td>
          <td>{{ item?.issueLevel }}</td>
          <td>{{ item?.approvalName }}</td>
          <td>{{ item?.signerName }}</td>
          <td>{{ item?.minimumTime }}</td>
          <td *ngIf="item?.maximumTime">{{ item?.maximumTime }}{{ item?.timeType === constantsTimeType.YEAR ? ( 'development.consultation-screen.year' | translate ) : ( 'development.consultation-screen.month' | translate )}}</td>
          <td *ngIf="!item?.maximumTime"></td>
          <td nzRight>
            <ng-container *ngIf="typeAction !== screenType.detail">
              <em
                nz-icon
                class="listEmpIconButton"
                nz-button
                nzType="more"
                nzTheme="outline"
                nzTrigger="click"
                nz-dropdown
                [nzDropdownMenu]="menu"
                [nzClickHide]="true"
              >
              </em>
              <nz-dropdown-menu #menu="nzDropdownMenu">
                <ul nz-menu>
                  <li
                    nz-button
                    nz-menu-item
                    class="subButton_dropdown"
                    (click)="addItemListHandleOffer()"
                  >
                    <div class="menu__item">
                      <span class="subDropdown_label">
                        {{ 'development.proposed-unit.button.add' | translate }}
                      </span>
                    </div>
                  </li>
                  <li
                    nz-button
                    nz-menu-item
                    class="subButton_dropdown"
                    (click)="editItemHandleOffer(item, i)"
                    *ngIf="item?.hasEdit"
                  >
                    <div class="menu__item">
                      <span class="subDropdown_label">
                        {{ 'development.proposed-unit.button.edit' | translate }}
                      </span>
                    </div>
                  </li>
                  <li
                    nz-menu-item
                    nz-button
                    class="subButton_dropdown"
                    (click)="sendInterview(item.id)"
                    *ngIf="item.isShowSendInterview"
                  >
                    <div class="menu__item">
                      <span class="subDropdown_label">
                        {{ 'development.proposed-unit.button.sendInterview' | translate }}
                      </span>
                    </div>
                  </li>
                  <li
                    nz-menu-item
                    nz-button
                    class="subButton_dropdown"
                    *ngIf="item?.hasSendSalary"
                    (click)="sendSalary(item.id)"
                  >
                    <div class="menu__item">
                      <span class="subDropdown_label">
                        {{ 'development.proposed-unit.button.sendSalary' | translate }}
                      </span>
                    </div>
                  </li>
                  <li
                    nz-menu-item
                    nz-button
                    class="subButton_dropdown"
                    (click)="showModalStopInterview(item?.id)"
                    *ngIf="item.statusInterview === keyConstants.key10"
                  >
                    <div class="menu__item">
                      <span class="subDropdown_label">
                        {{ 'development.proposed-unit.button.stopInterview' | translate }}
                      </span>
                    </div>
                  </li>
                  <li
                    nz-menu-item
                    nz-button
                    class="subButton_dropdown"
                    (click)="deleteItemHandleOffer(item.id)"
                    *ngIf="item?.hasDelete"
                  >
                    <div class="menu__item">
                      <span class="subDropdown_label">
                        {{ 'development.proposed-unit.button.delete' | translate }}
                      </span>
                    </div>
                  </li>
                </ul>
              </nz-dropdown-menu>
            </ng-container>
            <ng-container *ngIf="typeAction === screenType.detail">
              <em
                nz-icon
                class="listEmpIconButton"
                nz-button
                nzType="more"
                nzTheme="outline"
                nzTrigger="click"
                nz-dropdown
                [nzDropdownMenu]="menuPTNL"
                [nzClickHide]="true"
              >
              </em>
              <nz-dropdown-menu #menuPTNL="nzDropdownMenu">
                <ul nz-menu>
                  <li
                    nz-menu-item
                    nz-button
                    class="subButton_dropdown"
                    (click)="sendInterview(item.id)"
                    *ngIf="item.isShowSendInterview && item?.isPtnl"
                  >
                    <div class="menu__item">
                      <span class="subDropdown_label">
                        {{ 'development.proposed-unit.button.sendInterview' | translate }}
                      </span>
                    </div>
                  </li>
                </ul>
              </nz-dropdown-menu>
            </ng-container>
          </td>
        </ng-container>
        <ng-template #editHandleOffer>
          <td><input type="text" nz-input [(ngModel)]="item.optionCode" readonly /></td>
          <td *ngIf="formGroupPropose !== constantsCodeFormGroup.PV && formGroupPropose !== constantsCodeFormGroup.TGCV">
            <mb-select
              [mbDataSelects]="dataCommon.formDisplaySearchDTOS"
              mbKeyLabel="formName"
              mbKeyValue="code"
              [(ngModel)]="item.formRotationCode"
              (mbSelect)="checkFormHandle(item.formRotationCode)"
            ></mb-select>
          </td>
          <td>
            <mb-select-unit
              [(ngModel)]="item.proposeUnitName"
              (ngModelChange)="onChangeUnit($event?.orgId)"
              mbPlaceholder="{{ 'development.proposed-unit.table.unit' | translate }}"
            ></mb-select-unit>
          </td>
          <td>
            <mb-select
              [mbDataSelects]="dataCommon?.jobDTOS"
              mbKeyLabel="jobName"
              mbKeyValue="jobId"
              [(ngModel)]="item.proposeTitleName"
              (mbSelect)="checkTitleHandle(item.proposeTitleName)"
            ></mb-select>
          </td>
          <td>
            <mb-select
              [mbDataSelects]="level"
              mbKeyLabel="name"
              mbKeyValue="name"
              [(ngModel)]="item.titleLevelCode"
            ></mb-select>
          </td>
          <td>
            <mb-select
              [mbDataSelects]="positionHandleOffer"
              mbKeyLabel="name"
              mbKeyValue="id"
              [(ngModel)]="item.proposePositionName"
              (mbSelect)="checkPositionHandle(item.proposePositionName)"
              (ngModelChange)="changeValuePosition($event)"
            ></mb-select>
          </td>
          <td>{{ item?.conditionLcbn }}</td>
          <td>{{ item?.contentViolation }}</td>
          <td>
            <mb-input-text
              [mbMaxLength]="200"
              [(ngModel)]="item.salaryComment"
            ></mb-input-text>
          </td>
          <td>{{ item?.salaryStatus }}</td>
          <td class="text-center">
            <label nz-checkbox [(ngModel)]="item.hasInterview" name="hasInterview"></label>
          </td>
          <td>{{ item?.statusInterview }}</td>
          <td class="text-center">
            <label nz-checkbox [(ngModel)]="item.hasConsultation" name="hasConsultation"></label>
          </td>
          <td>{{ item?.statusConsultation }}</td>
          <td>
            <ng-container *ngIf="!isAddingListHandleOffer && onOpenHandleFormEdit">
              <mb-select
              [mbDataSelects]="listIssueLevelOptionItem"
              mbKeyLabel="name"
              mbKeyValue="code"
              [(ngModel)]="item.issueLevelCode"
              (mbSelect)="selectIssueLevelOptionItem($event, item)"
            ></mb-select>
            </ng-container>
          </td>
          <td>
            <ng-container *ngIf="!isAddingListHandleOffer && onOpenHandleFormEdit">
              <mb-select
              [mbDataSelects]="listApprover"
              mbKeyLabel="fullname"
              mbKeyValue="code"
              [(ngModel)]="item.approvalCode"
            ></mb-select>
            </ng-container>

          </td>
          <td>
            <ng-container *ngIf="!isAddingListHandleOffer && onOpenHandleFormEdit">
            <mb-select
              [mbDataSelects]="listSigner"
              mbKeyLabel="fullname"
              mbKeyValue="code"
              [(ngModel)]="item.signerCode"
            ></mb-select>
          </ng-container>
          </td>
          <td>
            <div *ngIf="item?.hasMinimumTime">
              <mb-input-text
                mbInputType='number'
                [mbShowFlexEnd]='false'
                [(ngModel)]="item.minimumTime"
                minNumber ='1'>
              </mb-input-text>
            </div>
          </td>
          <td>
            <div style="display: flex" *ngIf="item?.hasMaximumTime">
              <mb-input-text
                mbInputType='number'
                [mbShowFlexEnd]='false'
                [(ngModel)]="item.maximumTime"
                minNumber ='1'>
              </mb-input-text>
              <mb-select
                [mbDataSelects]="dataCommon.timeTypeEnums"
                [(ngModel)]="item.timeType"
                mbKeyLabel="description"
                mbKeyValue="code"
                mbPlaceholder="{{'development.promulgate.section.typeMaximumTime' | translate }}"
              >
              </mb-select>
            </div>
          </td>
          <td nzRight>
            <em nz-icon nzType="check" nzTheme="outline" class="icon-editHandleOffer"
              (click)="saveItemListHandleOffer(item, i)"></em>
            <em nz-icon nzType="close" nzTheme="outline" class="icon-editHandleOffer"
              (click)="cancelITemListHandleOffer(item, i)"></em>
          </td>
        </ng-template>
      </tr>
    </tbody>
  </nz-table>
</nz-card>

<nz-card style="margin-top: 1em" id="tab3">
  <ng-container *ngIf="listConsultationAfter?.length > 0">
    <div nz-row>
      <div nz-col nzLg="20">
        <h3>{{ 'development.pageName.consultations-unit' | translate }}</h3>
      </div>
    </div>

    <nz-table
      #consult
      class="listConsultationAfter"
      [nzData]="listConsultationAfter?.length > 0 ? listConsultationAfter : []"
      [nzShowPagination]="false"
      [nzScroll]="{ y: '250px' }"
    >
      <thead>
        <tr>
          <th scope="col" nzWidth="150px">
            {{ 'development.proposed-unit.consultationScreen.ideaDate' | translate }}
          </th>
          <th scope="col" nzWidth="200px">
            {{ 'development.proposed-unit.consultationScreen.ideaPerson' | translate }}
          </th>
          <th scope="col" nzWidth="16%">
            {{ 'development.proposed-unit.consultationScreen.representUnit' | translate }}
          </th>
          <th scope="col">{{ 'development.proposed-unit.consultationScreen.idea' | translate }}</th>
          <th scope="col">{{ 'development.proposed-unit.consultationScreen.detailIdea' | translate }}</th>
          <th scope="col" nzWidth="230px">
            {{ 'development.proposed-unit.consultationScreen.displayOnReport' | translate }}
          </th>
          <th scope="col" nzWidth="120px">
            {{ 'development.proposed-unit.consultationScreen.displayOnReport3' | translate }}
          </th>
        </tr>
      </thead>
      <tbody>
        <tr *ngFor="let item of listConsultationAfter; let i = index">
          <td>
            <em nz-icon nzType="calendar" nzTheme="outline" *ngIf="item.consultDate"></em>
            {{ item.consultDate | date: 'dd/MM/yyyy' }}
          </td>
          <td>
            {{ item.consultName }}
          </td>
          <td>
            {{ item.consultUnitName }}
          </td>
          <td>{{ item.status }}</td>
          <td>
            {{ item.note }}
          </td>
          <td>
            <!-- {{ item.show }} -->
            <label [nzDisabled]="true" nz-checkbox [(ngModel)]="item.show"></label>
          </td>
          <td>
            <!-- {{ item.showOpinion }} -->
            <label [nzDisabled]="true" nz-checkbox [(ngModel)]="item.showOpinion"></label>
          </td>
        </tr>
      </tbody>
    </nz-table>
  </ng-container>

  <div nz-row class="handleOffer">
    <div nz-col nzLg="24">
      <h3>{{ 'development.consultation-screen.consultationUnitOthers' | translate }}</h3>
      <div class="doConsult">
        <nz-switch [(ngModel)]="enableListConsultationBefore" [nzDisabled]="true"></nz-switch>
        <span class="switch-title">{{ 'development.proposed-unit.consultationScreen.doConsult' | translate }}</span>
      </div>
    </div>
  </div>

  <nz-table
    *ngIf="enableListConsultationBefore"
    #consult
    class="listConsultationBefore"
    [nzData]="listConsultationBefore?.length > 0 ? listConsultationBefore : [{}]"
    [nzShowPagination]="false"
    [nzScroll]="{ x: '100%', y: '250px' }"
  >
    <thead>
      <tr>
        <th scope="col" nzWidth="160px">{{ 'development.proposed-unit.table.planCode' | translate }}</th>
        <th scope="col" nzWidth="160px"
          *ngIf="formGroupPropose !== constantsCodeFormGroup.PV && formGroupPropose !== constantsCodeFormGroup.TGCV">
          {{ 'development.proposed-unit.table.form' | translate }}
        </th>
        <th scope="col" nzWidth="220px">{{ 'development.proposed-unit.table.unit' | translate }}</th>
        <th scope="col" nzWidth="220px">{{ 'development.proposed-unit.table.title' | translate }}</th>
        <th scope="col" nzWidth="130px">{{ 'development.proposed-unit.table.level' | translate }}</th>
        <th scope="col" nzWidth="180px">{{ 'development.proposed-unit.consultationScreen.ideaDate' | translate }}</th>
        <th scope="col" nzWidth="200px">{{ 'development.proposed-unit.consultationScreen.ideaPerson' | translate }}</th>
        <th scope="col" nzWidth="200px">
          {{ 'development.proposed-unit.consultationScreen.representUnit' | translate }}
        </th>
        <th scope="col" nzWidth="170px">{{ 'development.proposed-unit.consultationScreen.idea' | translate }}</th>
        <th scope="col" nzWidth="220px">{{ 'development.proposed-unit.consultationScreen.detailIdea' | translate }}</th>
        <th scope="col" nzWidth="200px">
          {{ 'development.proposed-unit.consultationScreen.displayOnReport' | translate }}
        </th>
        <th scope="col" nzWidth="120px">
          {{ 'development.proposed-unit.consultationScreen.displayOnReport3' | translate }}
        </th>
        <th scope="col" nzWidth="70px" nzRight *ngIf="typeAction === screenType.update"></th>
      </tr>
    </thead>
    <tbody>
      <tr *ngFor="let item of listConsultationBefore; let i = index">
        <ng-container *ngIf="!item.isEdit; else editListConsultationBefore">
          <td>{{ item?.proposeOptionCode }}</td>
          <td *ngIf="formGroupPropose !== constantsCodeFormGroup.PV && formGroupPropose !== constantsCodeFormGroup.TGCV">
            {{ item?.formName }}
          </td>
          <td>
            {{ item?.contentUnitName }}
          </td>
          <td>{{ item?.contentTitleName }}</td>

          <td>{{ item?.contentLevelName }}</td>

          <td>
            <em nz-icon nzType="calendar" nzTheme="outline" class="calendar"></em>
            <span class="consultDate">{{ item.consultDate | date: 'dd/MM/yyyy' }}</span>
          </td>
          <td>
            {{ item?.consultName }}
          </td>
          <td>
            {{ item?.consultUnitName }}
          </td>

          <td>{{ item?.status }}</td>
          <td>{{ item?.note }}</td>

          <td class="text-center">
            <!-- {{ item.show }} -->
            <label nz-checkbox [(ngModel)]="item.show" [disabled]="true"></label>
          </td>
          <td class="text-center">
            <!-- {{ item.showOpinion }} -->
            <label nz-checkbox [(ngModel)]="item.showOpinion" [disabled]="true"></label>
          </td>
          <td nzRight *ngIf="typeAction === screenType.update">
            <em
              nz-icon
              class="listEmpIconButton"
              nz-button
              nzType="more"
              nzTheme="outline"
              nzTrigger="click"
              nz-dropdown
              [nzDropdownMenu]="menu2"
              [nzClickHide]="true"
            >
            </em>
            <nz-dropdown-menu #menu2="nzDropdownMenu">
              <ul nz-menu>
                <li
                  nz-button
                  nz-menu-item
                  class="subButton_dropdown"
                  (click)="editItemListConsultationBefore(item, i)"
                >
                  <div class="menu__item">
                    <span class="subDropdown_label">
                      <em nz-icon nzType="edit" nzTheme="outline" class="icon_dropdown"></em>
                      <span class="label_button">
                        {{ 'development.proposed-unit.button.edit' | translate }}
                      </span>
                    </span>
                  </div>
                </li>
                <li
                  nz-button
                  nz-menu-item
                  class="subButton_dropdown"
                  (click)="deleteItemConsultationBefore(item.id)"
                >
                  <div class="menu__item">
                    <span class="subDropdown_label">
                      <em nz-icon nzType="delete" nzTheme="outline" class="icon_dropdown"></em>
                      <span class="label_button">
                        {{ 'development.proposed-unit.button.delete' | translate }}
                      </span>
                    </span>
                  </div>
                </li>
              </ul>
            </nz-dropdown-menu>
          </td>
        </ng-container>
        <ng-template #editListConsultationBefore>
          <td>
            <mb-select
              [mbDataSelects]="infoConsultation"
              mbKeyLabel="proposeOptionId"
              mbKeyValue="proposeOptionId"
              [(ngModel)]="item.proposeOptionId"
              (ngModelChange)="optionIdChange($event, item)"
            >
            </mb-select>
          </td>
          <td *ngIf="formGroupPropose !== constantsCodeFormGroup.PV && formGroupPropose !== constantsCodeFormGroup.TGCV">
            <mb-select
              [mbDataSelects]="dataCommon?.formDisplaySearchDTOS"
              mbKeyLabel="formName"
              mbKeyValue="formName"
              [(ngModel)]="item.formName"
              mbPlaceholder="{{ 'development.salary-list.search.statusSalary' | translate }}"
              [mbDisable]="true"
            ></mb-select>
          </td>
          <td>
            <mb-select-unit
              [(ngModel)]="item.contentUnitName"
              mbPlaceholder="Đơn vị"
              [disabled]="true"
              [mbDisable]="true"
            ></mb-select-unit>
          </td>
          <td>
            <mb-select
              [mbDataSelects]="dataCommon?.jobDTOS"
              mbKeyLabel="jobName"
              mbKeyValue="jobName"
              [(ngModel)]="item.contentTitleName"
              [mbDisable]="true"
            ></mb-select>
          </td>
          <td>
            <mb-select
              [mbDataSelects]="level"
              mbKeyLabel="name"
              mbKeyValue="name"
              [(ngModel)]="item.contentLevelName"
              [mbDisable]="true"
            ></mb-select>
          </td>
          <td>
            <mb-date-picker
              mbFormat="dd/MM/yyyy"
              mbPlaceholderText="dd/mm/yyyy"
              [(ngModel)]="item.consultDate"
              [mbDisabledDate]="disabledDate"
              (mbOnOpenChange)="openCalendar()"
              (ngModelChange)="checkValidConsultDate(item.consultDate)"
            ></mb-date-picker>
          </td>
          <td>
            <input
              type="text"
              nz-input
              maxlength="50"
              [(ngModel)]="item.consultName"
              (blur)="checkValidConsultName(item.consultName)"
            />
          </td>
          <td>
            <mb-select-unit [(ngModel)]="item.consultUnitName" mbPlaceholder="Đơn vị đại diện"></mb-select-unit>
          </td>
          <td>
            <mb-select
              [mbDataSelects]="listIdeaConsultationBefore"
              mbKeyLabel="name"
              mbKeyValue="code"
              [(ngModel)]="item.status"
              (mbSelect)="checkValidConsultIdea(item.status)"
            ></mb-select>
          </td>
          <td><input type="text" nz-input [(ngModel)]="item.note" /></td>

          <td class="text-center"><label nz-checkbox [(ngModel)]="item.show"></label></td>
          <td class="text-center"><label nz-checkbox [(ngModel)]="item.showOpinion"></label></td>
          <td nzRight *ngIf="typeAction === screenType.update">
            <ng-container *ngIf="typeAction !== screenType.detail">
              <em
                nz-icon
                class="listEmpIconButton"
                nz-button
                nzType="more"
                nzTheme="outline"
                nzTrigger="click"
                nz-dropdown
                [nzDropdownMenu]="menu3"
                [nzClickHide]="true"
              >
              </em>
              <nz-dropdown-menu #menu3="nzDropdownMenu">
                <ul nz-menu>
                  <li
                    nz-button
                    nz-menu-item
                    class="subButton_dropdown"
                    (click)="saveItemListConsultationBefore(item, i)"
                  >
                    <div class="menu__item">
                      <span class="subDropdown_label">
                        <em nz-icon nzType="check" nzTheme="outline" class="icon_dropdown"></em>
                        <span class="label_button">
                          {{ 'development.proposed-unit.button.save' | translate }}
                        </span>
                      </span>
                    </div>
                  </li>
                  <li
                    nz-button
                    nz-menu-item
                    class="subButton_dropdown"
                    (click)="cancelItemListConsultationBefore(item, i)"
                  >
                    <div class="menu__item">
                      <span class="subDropdown_label">
                        <em nz-icon nzType="close" nzTheme="outline" class="icon_dropdown"></em>
                        <span class="label_button">
                          {{ 'development.proposed-unit.button.cancel' | translate }}
                        </span>
                      </span>
                    </div>
                  </li>
                </ul>
              </nz-dropdown-menu>
            </ng-container>
          </td>
        </ng-template>
      </tr>
      <tr *ngIf="!isAddingListConsultationBefore && typeAction !== screenType.detail">
        <span (click)="addItemListConsultationBefore()">
          <em nz-icon nzType="plus-circle" nzTheme="outline"></em>
          <span class="text-add">{{ 'development.proposed-unit.button.add' | translate }}</span>
        </span>
      </tr>
    </tbody>
  </nz-table>
</nz-card>

<nz-card id="tab4">
  <h3>{{ 'development.salaryInterview.interviewResult' | translate }}</h3>
  <nz-table
    #consult
    class="listInterviewNow"
    [nzData]="listInterviewNow?.length > 0 ? listInterviewNow : []"
    [nzShowPagination]="false"
    [nzScroll]="{ x: '100%', y: '250px' }"
  >
    <thead>
      <tr>
        <th scope="col" nzWidth="155px">
          {{ 'development.salaryInterview.plan' | translate }}
        </th>
        <th scope="col" nzWidth="150px">
          {{ 'development.salaryInterview.dateOfRequest' | translate }}
        </th>
        <th scope="col" nzWidth="150px">
          {{ 'development.salaryInterview.dateInterview' | translate }}
        </th>
        <th scope="col" nzWidth="180px">
          {{ 'development.salaryInterview.interviewTitle' | translate }}
        </th>
        <th scope="col" nzWidth="175px">
          {{ 'development.salaryInterview.recruitmentFocalPoint' | translate }}
        </th>
        <th scope="col" nzWidth="210px">
          {{ 'development.salaryInterview.codeHĐPV' | translate }}
        </th>
        <th scope="col" nzWidth="180px">{{ 'development.salaryInterview.memberHĐPV' | translate }}</th>
        <th scope="col" nzWidth="150px">{{ 'development.salaryInterview.pointInterview' | translate }}</th>
        <th scope="col" nzWidth="180px">{{ 'development.salaryInterview.resultInterview' | translate }}</th>
        <th scope="col" nzWidth="150px">
          {{ 'development.salaryInterview.updateInterviewResult' | translate }}
        </th>
        <th scope="col" nzWidth="270px">
          {{ 'development.salaryInterview.appproveInterviewResult' | translate }}
        </th>
        <th scope="col" nzWidth="160px">{{ 'development.salaryInterview.suitablePosition' | translate }}</th>
        <th scope="col" nzWidth="130px">{{ 'development.salaryInterview.sendPerson' | translate }}</th>
        <th scope="col" nzWidth="150px">{{ 'development.salaryInterview.sendDate' | translate }}</th>
        <th scope="col" nzWidth="160px">{{ 'development.salaryInterview.note' | translate }}</th>
      </tr>
    </thead>
    <tbody>
      <tr *ngFor="let item of listInterviewNow; let i = index">
        <td>{{ item.proposeOptionCode }}</td>
        <td>
          <em nz-icon nzType="calendar" nzTheme="outline" *ngIf="item.interviewSentDate"></em>
          <span class="consultationTable__dateIdea">{{ item.interviewSentDate | date: 'dd/MM/yyyy' }}</span>
        </td>
        <td>
          <em nz-icon nzType="calendar" nzTheme="outline" *ngIf="item.interviewDate"></em>
          <span class="consultationTable__dateIdea">{{ item.interviewDate | date: 'dd/MM/yyyy' }}</span>
        </td>
        <td>{{ item.proposeTitle }}</td>
        <td>{{ item.recruitment }}</td>

        <td>{{ item.boardCode }}</td>
        <td class="text-center">
          {{ item.boardMember }}
        </td>
        <td class="text-center">
          {{ item.interviewPoint }}
        </td>

        <td>{{ item.interviewResultDescription }}</td>
        <td>{{ item.numberUpdated }}</td>
        <td>
          <a (click)="downloadFileInterview(item?.docId, item?.fileName)">
            {{ item?.fileName }}
          </a>
        </td>
        <td>{{ item.suitablePosition }}</td>
        <td>{{ item.sendInterviewResultBy }}</td>
        <td>
          <em nz-icon nzType="calendar" nzTheme="outline" *ngIf="item?.receivedResultDate"></em>
          <span class="consultationTable__dateIdea">{{ item.receivedResultDate | date: 'dd/MM/yyyy' }}</span>
        </td>
        <td>{{ item.note }}</td>
      </tr>
    </tbody>
  </nz-table>
</nz-card>

<nz-card id="tab5">
  <h3 style="margin-top: 20px">{{ 'development.pageName.tab5' | translate }}</h3>
  <nz-table
    #consult
    class="listSalary"
    [nzData]="listSalary?.length > 0 ? listSalary : []"
    [nzShowPagination]="false"
    [nzScroll]="{ x: '100%' }"
  >
    <thead>
      <tr>
        <th scope="col" rowspan="3" class="listSalary__proposeCode">
          {{ 'development.salary-list.table.col.proposeCode' | translate }}
        </th>
        <th scope="col" rowspan="3" class="listSalary__display">
          {{ 'development.salary-list.table.col.20' | translate }}
        </th>
        <th scope="col" rowspan="3" class="listSalary__dateRequest">
          {{ 'development.consultation-screen.dateRequest' | translate }}
        </th>
        <th scope="col" rowspan="3" class="listSalary__monthSalary">
          {{ 'development.salary-list.table.col.18' | translate }}
        </th>
        <th scope="col" rowspan="3" class="listSalary__dateRequest">
          {{ 'development.salary-list.table.col.19' | translate }}
        </th>
        <th scope="col" rowspan="3" class="listSalary__dateRequest">
          {{ 'development.consultation-screen.dateReceiveResult' | translate }}
        </th>
        <th scope="col" colSpan="8" class="listSalary__currentSalaryInfo">
          {{ 'development.salary-list.detail.currentSalaryInfo' | translate }}
        </th>
        <th scope="col" colSpan="8" class="listSalary__currentSalaryInfo">
          {{ 'development.salary-list.detail.proposeSalaryInfo' | translate }}
        </th>
        <th scope="col" rowspan="3" class="listSalary__dateRequest">
          {{ 'development.salary-list.detail.minNSLD' | translate }}
        </th>
        <th scope="col" rowspan="3" class="listSalary__basePropose">
          {{ 'development.salary-list.detail.basePropose' | translate }}
        </th>
        <th scope="col" colSpan="9" class="listSalary__nonWageMode">
          {{ 'development.salary-list.detail.nonWageMode' | translate }}
        </th>
        <th scope="col" rowspan="3" class="listSalary__sendSalaryPerson">
          {{ 'development.salary-list.detail.sendSalaryPerson' | translate }}
        </th>
      </tr>
      <tr>
        <th scope="col" colSpan="4" class="text-center">
          {{ 'development.salary-list.detail.basicSalary' | translate }}
        </th>
        <th scope="col" colSpan="3" class="text-center">
          {{ 'development.salary-list.detail.efficiencyBonus' | translate }}
        </th>
        <th scope="col" rowspan="2">
          {{ 'development.salary-list.detail.monthIncome' | translate }}
        </th>
        <th scope="col" colSpan="4" class="text-center">
          {{ 'development.salary-list.detail.basicSalary' | translate }}
        </th>
        <th scope="col" colSpan="3" class="text-center">
          {{ 'development.salary-list.detail.efficiencyBonus' | translate }}
        </th>
        <th scope="col" rowspan="2">
          {{ 'development.salary-list.detail.monthIncome' | translate }}
        </th>

        <th scope="col" rowspan="2">{{ 'development.salary-list.detail.travel' | translate }}</th>
        <th scope="col" rowspan="2">{{ 'development.salary-list.detail.car' | translate }}</th>
        <th scope="col" rowspan="2">{{ 'development.salary-list.detail.rentHouse' | translate }}</th>
        <th scope="col" rowspan="2">{{ 'development.salary-list.detail.insurance' | translate }}</th>
        <th scope="col" rowspan="2">{{ 'development.salary-list.detail.mode1' | translate }}</th>
        <th scope="col" rowspan="2">{{ 'development.salary-list.detail.mode2' | translate }}</th>
        <th scope="col" rowspan="2">{{ 'development.salary-list.detail.mode3' | translate }}</th>
        <th scope="col" rowspan="2">{{ 'development.salary-list.detail.mode4' | translate }}</th>
        <th scope="col" rowspan="2">{{ 'development.salary-list.detail.mode5' | translate }}</th>
      </tr>
      <tr>
        <th scope="col">{{ 'development.salary-list.detail.range' | translate }}</th>
        <th scope="col">{{ 'development.salary-list.detail.rank' | translate }}</th>
        <th scope="col">{{ 'development.salary-list.detail.level' | translate }}</th>
        <th scope="col">{{ 'development.consultation-screen.benefitRate' | translate }}</th>
        <th scope="col">{{ 'development.consultation-screen.rateLCB' | translate }}</th>
        <th scope="col">{{ 'development.salary-list.detail.level' | translate }}</th>
        <th scope="col">{{ 'development.consultation-screen.benefitRate' | translate }}</th>
        <th scope="col">{{ 'development.salary-list.detail.range' | translate }}</th>
        <th scope="col">{{ 'development.salary-list.detail.rank' | translate }}</th>
        <th scope="col">{{ 'development.salary-list.detail.level' | translate }}</th>
        <th scope="col">{{ 'development.consultation-screen.benefitRate' | translate }}</th>
        <th scope="col">{{ 'development.consultation-screen.rateLCB' | translate }}</th>
        <th scope="col">{{ 'development.salary-list.detail.level' | translate }}</th>
        <th scope="col">{{ 'development.consultation-screen.benefitRate' | translate }}</th>
      </tr>
    </thead>
    <tbody>
      <tr *ngFor="let item of listSalary; let i = index">
        <td>{{ item?.id }}</td>
        <td>
          <label nz-checkbox [(ngModel)]="item.selected" (nzCheckedChange)="changeItemSalary(item, $event)"></label>
        </td>
        <td>
          <em nz-icon nzType="calendar" nzTheme="outline" *ngIf="item?.requestDate"></em>
          <span class="consultationTable__dateIdea">{{ item?.requestDate | date: 'dd/MM/yyyy' }}</span>
        </td>
        <td>{{ item?.desiredMonthlyIncome | number: '1.0-2' }}</td>
        <td>{{ item?.note }}</td>
        <td>
          <em nz-icon nzType="calendar" nzTheme="outline" *ngIf="item?.dateResult"></em>
          <span class="consultationTable__dateIdea">{{ item?.dateResult | date: 'dd/MM/yyyy' }}</span>
        </td>
        <td>{{ item?.currentBasicRange }}</td>
        <td>{{ item?.currentBasicRank }}</td>
        <td>{{ item?.currentBasicLevel | number: '1.0-2' }}</td>
        <td>{{ item?.currentBenefitRate | number: '1.0-2' }}</td>
        <td>{{ item?.currentIncentiveCoefficient | number: '1.0-2' }}</td>
        <td>{{ item?.currentIncentiveLevel | number: '1.0-2' }}</td>
        <td>{{ item?.currentIncentiveRate | number: '1.0-2' }}</td>
        <td>{{ item?.currentMonthSalary | number: '1.0-2' }}</td>

        <td>{{ item?.proposeBasicRange }}</td>

        <td>{{ item?.proposeBasicRank }}</td>
        <td>{{ item?.getProposeBasicLevel | number: '1.0-2' }}</td>
        <td>{{ item?.proposeBenefitRate }}</td>

        <td>{{ item?.proposeIncentiveCoefficient }}</td>
        <td>{{ item?.proposeIncentiveLevel | number: '1.0-2' }}</td>
        <td>{{ item?.proposeIncentiveRate }}</td>

        <td>{{ item?.proposeMonthSalary | number: '1.0-2' }}</td>

        <td>{{ item?.minPerformanceSalary | number: '1.0-2' }}</td>
        <td>{{ item?.salaryBaseComment }}</td>
        <td>{{ item?.bonusTravel | number: '1.0-2' }}</td>

        <td>{{ item?.bonusTransport | number: '1.0-2' }}</td>
        <!-- <td>{{ item?.contentPositionName }}</td> -->
        <td>{{ item?.getBonusHouseRent | number: '1.0-2' }}</td>
        <td>{{ item?.bonusLifeAssurance | number: '1.0-2' }}</td>
        <td>{{ item?.bonus1 | number: '1.0-2' }}</td>
        <td>{{ item?.bonus2 | number: '1.0-2' }}</td>
        <td>{{ item?.bonus3 | number: '1.0-2' }}</td>
        <td>{{ item?.bonus4 | number: '1.0-2' }}</td>
        <td>{{ item?.bonus5 | number: '1.0-2' }}</td>
        <td>{{ item?.lastUpdatedBy }}</td>
      </tr>
    </tbody>
  </nz-table>
</nz-card>

<nz-card id="tab6">
  <form [formGroup]="formReason">
    <div nz-row [nzGutter]="[24, 16]">
      <div nz-col class="gutter-row" nzLg="12">
        <mb-input-text
          [mbIsTextAre]='true'
          [mbConfig]="{ rows: 4, autoSize: true }"
          formControlName="unitOpinion"
          [mbMaxLength]="200"
          mbLabelText="{{ 'development.proposed-unit.consultationScreen.opionOfUnit' | translate }}"
          mbPlaceholderText="{{ 'development.proposed-unit.consultationScreen.opionOfUnit' | translate }}"
        ></mb-input-text>
      </div>
      <div nz-col class="gutter-row" nzLg="12">
        <mb-input-text
          [mbIsTextAre]='true'
          [mbConfig]="{ rows: 4, autoSize: true }"
          formControlName="ideaRegion"
          [mbMaxLength]="100"
          mbLabelText="{{ 'development.consultation-screen.ideaRegion' | translate }}"
          mbPlaceholderText="{{ 'development.consultation-screen.ideaRegion' | translate }}"
        ></mb-input-text>
      </div>
      <div nz-col class="gutter-row" nzLg="12">
        <mb-input-text
          [mbIsTextAre]='true'
          [mbConfig]="{ rows: 4, autoSize: true }"
          formControlName="workProcess"
          [mbMaxLength]="200"
          mbLabelText="{{ 'development.proposed-unit.consultationScreen.workingProcess' | translate }}
            <span class='label__required'>*</span>"
          mbPlaceholderText="{{ 'development.proposed-unit.consultationScreen.workingProcess' | translate }}"
          [mbType]="
            submitHandle && formReason?.get('workProcess')?.errors ? 'error' : 'default'
          "
          [mbShowError]="submitHandle && !!formReason?.get('workProcess')?.errors"
          [mbErrors]="formReason?.get('workProcess')?.errors"
          [mbErrorDefs]="[
            {
              errorName: 'required',
              errorDescription:
                'development.commonMessage.validateWorkingProcess' | translate
            }
          ]"
        ></mb-input-text>
      </div>
      <div nz-col class="gutter-row" nzLg="12">
        <mb-input-text
          [mbIsTextAre]='true'
          [mbConfig]="{ rows: 4, autoSize: true }"
          formControlName="businessNumber"
          [mbMaxLength]="200"
          mbLabelText="{{ 'development.proposed-unit.consultationScreen.businessFigures' | translate }}"
          mbPlaceholderText="{{ 'development.proposed-unit.consultationScreen.businessFigures' | translate }}"
        ></mb-input-text>
      </div>
      <div nz-col class="gutter-row" nzLg="12">
        <mb-input-text
          [mbIsTextAre]='true'
          [mbConfig]="{ rows: 4, autoSize: true }"
          formControlName="strengths"
          [mbMaxLength]="200"
          mbLabelText="{{ 'development.proposed-unit.consultationScreen.strengths' | translate }}"
          mbPlaceholderText="{{ 'development.proposed-unit.consultationScreen.strengths' | translate }}"
        ></mb-input-text>
      </div>
      <div nz-col class="gutter-row" nzLg="12">
        <mb-input-text
          [mbIsTextAre]='true'
          [mbConfig]="{ rows: 4, autoSize: true }"
          formControlName="weaknesses"
          [mbMaxLength]="200"
          mbLabelText="{{ 'development.proposed-unit.consultationScreen.pointNeedComplete' | translate }}"
          mbPlaceholderText="{{ 'development.proposed-unit.consultationScreen.pointNeedComplete' | translate }}"
        ></mb-input-text>
      </div>

    </div>
  </form>
</nz-card>

<!--chọn trình-->
<nz-card>
  <ng-container *ngIf="checkDropListPlan()">
    <h3>{{ 'development.list-plan.search.choosePlan' | translate }}</h3>
    <div nz-row [nzGutter]="12">
      <div nz-col class="gutter-row" nzLg="15">
        <mb-select
          [mbShowClear]="false"
          [mbDataSelects]="listPlanCheckOption"
          mbKeyLabel="value"
          mbKeyValue="key"
          [(ngModel)]="planCheck"
          (mbSelect)="chooseListPlanOption()"
          [mbDisable]="typeAction === screenType.detail"
          mbPlaceholder="{{ 'development.list-plan.search.planList' | translate }}"
        >
        </mb-select>
      </div>
    </div>
  </ng-container>
</nz-card>

<!--thông tin kiêm nhiệm hiện tại, hiện hữu tại vị trí-->
<nz-card *ngIf="showConcurrently || showConcurrentlyNow">
  <ng-container *ngIf="showConcurrently">
    <div nz-row class="interview" >
      <div nz-col nzLg="24">
        <h3>{{ 'development.pageName.inforConcurrently' | translate }}</h3>
      </div>
    </div>
    <nz-table
      class="listHandleOffer"
      [nzShowPagination]="false"
      [nzData]="infoConcurrently?.length > 0 ? infoConcurrently : []"
      [nzScroll]="{ x: '100%', y:'400px' }"
    >
      <thead>
      <tr>
        <th scope="col" class="title_Text_Table_Concurrent" nzWidth="50%">{{ 'development.proposed-unit.table.empConcurrently' | translate }}</th>
        <th scope="col" class="title_Text_Table_Concurrent" nzWidth="50%">{{ 'development.proposed-unit.table.layoutPlan' | translate }}</th>
      </tr>
      </thead>
      <tbody>
      <tr *ngFor="let item of infoConcurrently">
        <td>{{item?.concurrentPosName + ' - ' + item?.concurrentUnitName}}</td>
        <td>
          <div>
            <mb-select
              [mbDisable]="typeAction === screenType.detail"
              [mbDataSelects]="dropDownListConcurrently"
              mbKeyLabel="description"
              mbKeyValue="code"
              [(ngModel)]="item.alternativePlan"
              (ngModelChange)="saveConcurrently(item?.concurrentUnitId)"
              mbPlaceholder="{{ 'development.proposed-unit.table.layoutPlan' | translate }}"
            >
            </mb-select>
          </div>
        </td>
      </tr>
      </tbody>
    </nz-table>
  </ng-container>

  <ng-container *ngIf="showConcurrentlyNow">
    <div nz-row class="interview">
      <div nz-col nzLg="24">
        <h3>{{ 'development.pageName.epmInConcurrently' | translate }}</h3>
      </div>
    </div>
    <nz-table
      class="listHandleOffer"
      [nzShowPagination]="false"
      [nzData]="infoConcurrentlyNow?.length > 0 ? infoConcurrentlyNow : []"
      [nzScroll]="{ x: '100%', y: '400px' }"
    >
      <thead>
      <tr>
        <th scope="col" class="title_Text_Table_Concurrent" nzWidth="50%">{{ 'development.proposed-unit.table.inforEmpInConcurrently' | translate }}</th>
        <th scope="col" class="title_Text_Table_Concurrent" nzWidth="50%">{{ 'development.proposed-unit.table.layoutPlan' | translate }}</th>
      </tr>
      </thead>
      <tbody>
      <tr *ngFor="let item of infoConcurrentlyNow">
        <td>{{item?.concurrentEmployeeCode + ' - ' + item?.concurrentEmployeeName + ' - ' +
        (item?.positionType === constantsCodeConcurrent.CT ?
          constantsCodeConcurrentName.CT :
          constantsCodeConcurrentName.KN)}}</td>
        <td>
          <div>
            <mb-select
              [mbDisable]="typeAction === screenType.detail"
              [mbDataSelects]="item?.positionType === constantsCodeConcurrent.CT ? dropDownListSpecializeList : dropDownListConcurrently"
              mbKeyLabel="description"
              mbKeyValue="code"
              [(ngModel)]="item.alternativePlan"
              (ngModelChange)="saveConcurrentPosition(item?.alternativeId, item?.alternativePlan)"
              mbPlaceholder="{{ 'development.proposed-unit.table.layoutPlan' | translate }}"
            >
            </mb-select>
          </div>
        </td>
      </tr>
      </tbody>
    </nz-table>
  </ng-container>
</nz-card>


<nz-card *ngIf="formGroupPropose !== constantsCodeFormGroup.PV" id="summarizeLdComment">
  <form [formGroup]="formReason">
    <div nz-row [nzGutter]="[16, 4]">
      <div nz-col class="gutter-row" nzLg="18">
        <span class="title-section">
          {{ 'development.proposed-unit.consultationScreen.ideaOfPersonnelOrganization' | translate }}
          <span class='label__required'>*</span>
        </span>
      </div>
      <div nz-col class="gutter-row" nzLg="6">
        <mb-button
          class="printReport"
          mbButtonAvailableStyle="PRIMARY"
          mbButtonText="{{ 'development.proposed-unit.consultationScreen.sumItUp' | translate }}"
          (click)="sumItUp()"
          *ngIf="typeAction !== screenType.detail">
        </mb-button>
      </div>
      <div nz-col class="gutter-row" nzLg="24">
        <quill-editor
          [styles]="{ height: '200px' }"
          formControlName="summarizeLdComment">
        </quill-editor>
      </div>
    </div>
  </form>
</nz-card>
<nz-card *ngIf="formReportTCNS.get('statementNumber')?.value">
  <h3>{{ 'development.proposed-unit.proposeMultiple.reportTCNS' | translate }}</h3>
    <div nz-row [nzGutter]="[40, 32]" [formGroup]="formReportTCNS">
      <div nz-col class="gutter-row paddingTopStatement" nzLg="6">
        <mb-input-text
          mbLabelText="{{ 'development.proposed-unit.reportCard.stateNumber' | translate }}"
          mbPlaceholderText="{{ 'development.proposed-unit.reportCard.stateNumber' | translate }}"
          formControlName="statementNumber"
          [mbDisable]="true"
        >
        </mb-input-text>
      </div>
      <div nz-col class="gutter-row paddingTopStatement" nzLg="6">
        <mb-date-picker
          mbFormat="dd/MM/yyyy"
          mbPlaceholderText="dd/mm/yyyy"
          mbLabelText="{{ 'development.proposed-unit.reportCard.submissionDate' | translate }}"
          formControlName="submissionDate"
          [mbDisabled]="true"
        >
        </mb-date-picker>
      </div>
      <div nz-col class="gutter-row paddingTopStatement" nzLg="6">
        <span class="title-section">{{
          'development.proposed-unit.proposeMultiple.attachReportApprove' | translate
          }}</span
        ><br /><br />
      <a (click)="downloadFileInterview(reportTCNSFile.docId, reportTCNSFile.fileName)">
        {{ reportTCNSFile.fileName }}
      </a>
    </div>
  </div>
</nz-card>

  <nz-card *ngIf="formGroupPropose !== constantsCodeFormGroup.PV">
    <div nz-row [nzGutter]="[40, 32]" class="handleOffer">
      <div nz-col nzLg="24">
        <div nz-row [nzGutter]="12">
          <div nz-col class="gutter-row" nzLg="20">
            <h3>{{ 'development.consultation-screen.decisionNoti' | translate }}</h3>
          </div>
          <div nz-col class="gutter-row" nzLg="4" *ngIf="hidenButon">
            <mb-button
              class="printReport"
              mbButtonAvailableStyle="PRIMARY"
              mbButtonText="{{ 'development.proposed-unit.reportCard.printDecision' | translate }}"
              (click)="dowloadStatement(1)"
            >
            </mb-button>
          </div>
        </div>
      </div>
    </div>
    <nz-table
      #consult
      [nzData]="listNotifyDecision?.length > 0 ? listNotifyDecision : [{}]"
      [nzShowPagination]="false"
    >
      <thead>
        <tr>
          <th nzWidth="300px" scope="col">{{ 'development.consultation-screen.needPrintAndIssue' | translate }}</th>
          <th nzWidth="300px" scope="col">{{ 'development.consultation-screen.digitalRegister' | translate }}</th>
          <th nzWidth="300px" scope="col">{{ 'development.consultation-screen.issueReport' | translate }}</th>
        </tr>
      </thead>
      <tbody>
        <tr>
          <td>
            <label
              nz-checkbox
              (nzCheckedChange)="changeNotifyCheck($event)"
              [(ngModel)]="isCheckboxNotify1"
              [disabled]="typeAction === screenType.detail"
              >{{ 'development.proposed-unit.reportCard.decisionSingle' | translate }}</label
            >
          </td>
          <td>
            <nz-upload
              nzListType="text"
              [nzDisabled]="listFileNotifyDecision1.length === 1 || !isCheckboxNotify1"
              [(nzFileList)]="listFileNotifyDecision1"
              [nzBeforeUpload]="beforeUpload1"
              [nzRemove]="doRemoveFile1"
              [nzDownload]="downloadFile"
            >
              <mb-button
                *ngIf="checkViewDigitalUpload()"
                nz-button
                class="reportCard__uploadBtn"
                mbButtonAvailableStyle="PRIMARY"
              >
                <span>
                  <em nz-icon nzType="upload"></em>
                </span>
              </mb-button>
            </nz-upload>
          </td>
          <td>
          </td>
        </tr>

        <tr>
          <td>
            <label
              nz-checkbox
              [disabled]="!isCheckboxNotify1 || typeAction === screenType.detail"
              [(ngModel)]="isCheckboxNotify2"
              >{{ 'development.proposed-unit.reportCard.notiIncome' | translate }}</label
            >
          </td>
          <td>
            <nz-upload
              nzListType="text"
              [nzDisabled]="listFileNotifyDecision2.length === 1 || !isCheckboxNotify2"
              [(nzFileList)]="listFileNotifyDecision2"
              [nzBeforeUpload]="beforeUpload2"
              [nzRemove]="doRemoveFile2"
              [nzDownload]="downloadFile"
            >
              <button
                *ngIf="typeAction === screenType.detail && flowStatusCode === flowCodeConstants.KSDongY"
                nz-button
                class="reportCard__uploadBtn"
                nzType="primary"
              >
                <span>
                  <em nz-icon nzType="upload"></em>
                </span>
              </button>
            </nz-upload>
          </td>
          <td>
          </td>

        </tr>

        <tr>
          <td>
            <label
              nz-checkbox
              [disabled]="!isCheckboxNotify1 || typeAction === screenType.detail"
              [(ngModel)]="isCheckboxNotify3"
              >{{ 'development.proposed-unit.reportCard.notiInsuranceMode' | translate }}</label
            >
          </td>
          <td>
            <nz-upload
              nzListType="text"
              [nzDisabled]="listFileNotifyDecision3.length === 1 || !isCheckboxNotify3"
              [(nzFileList)]="listFileNotifyDecision3"
              [nzBeforeUpload]="beforeUpload3"
              [nzRemove]="doRemoveFile3"
              [nzDownload]="downloadFile"
            >
              <button
                *ngIf="typeAction === screenType.detail && flowStatusCode === flowCodeConstants.KSDongY"
                nz-button
                class="reportCard__uploadBtn"
                nzType="primary"
              >
                <span>
                  <em nz-icon nzType="upload"></em>
                </span>
              </button>
            </nz-upload>
          </td>
          <td>
          </td>
        </tr>
      </tbody>
    </nz-table>
  </nz-card>

<nz-card class="idea" id="idea" *ngIf="checkIdeaApproveKSPTNL()">
  <mb-input-text
    [mbIsTextAre]="true"
    [mbConfig]="{ rows: 4, autoSize: true }"
    [(ngModel)]="noteKSPTNL"
    [mbMaxLength]="200"
    mbLabelText="{{
      'development.proposed-unit.detail.idea' | translate
    }}"
    mbPlaceholderText="{{
      'development.proposed-unit.detail.idea' | translate
    }}"
  ></mb-input-text>
</nz-card>

<nz-card id="tab7">
  <div nz-row>
    <div nz-col class="gutter-row" nzLg="2" (click)="expandLog()">
      <h3>{{ 'development.proposed-unit.section.proposeLogs' | translate }}</h3>
    </div>
    <div nz-col class="gutter-row" nzLg="1" (click)="expandLog()">
      <span class="iconLog">
        <em nz-icon nzType="{{ iconStatus }}"></em>
      </span>
    </div>
  </div>

  <mb-table-wrap *ngIf="isExpand" [mbTitle]="''" [extra]='false'>
    <mb-table [tableConfig]="tableConfig" [tableData]="proposeLogs"
              [heightTable]="heightTable"
              (changePageNum)='getLog($event)'
    >
    </mb-table>
  </mb-table-wrap>
</nz-card>

<ng-template #dateLog let-actionDate  = 'actionDate'>
  <em nz-icon nzType="calendar" nzTheme="outline" class="calendar" *ngIf="actionDate"></em>
  <span class="sentDate">{{ actionDate | date: 'dd/MM/yyyy HH:mm' }}</span>
</ng-template>

<nz-card *ngIf="checkHandleCard()" class="footer-card">
  <!-- 3 nút ghi nhận sau khi duyệt từ KSPTNL -->

  <div nz-row [nzGutter]="[40, 32]" *ngIf="flowStatusCode === flowCodeConstants.KHONGDONGY10B">
    <div nz-col class="gutter-row" nzLg="12">
      <span class="title-section">{{ 'development.proposed-unit.detail.noteExplanation' | translate }}</span>
      <textarea
        nz-input
        placeholder="{{ 'development.proposed-unit.detail.noteExplanation' | translate }}"
        [(ngModel)]="paramDetail.ghiChuGiaiTrinhThem"
        [nzAutosize]="{ minRows: 2, maxRows: 4 }"
        maxlength="100"
      ></textarea>
    </div>
    <div nz-col class="gutter-row" nzLg="6">
      <button class="expand-btn" nz-button nzType="primary" class="button_new" (click)="moreExplanation()">
        {{ 'development.proposed-unit.button.explanation' | translate }}
      </button>
    </div>
  </div>
  <ng-container *ngIf="proposeCategory === proposeCategoryConst.ELEMENT && formGroupPropose !== constantsCodeFormGroup.PV">
    <div nz-row [nzGutter]="[40, 32]">
      <!-- chuyển ban hành * -->

      <ng-container *ngIf="splitStatusPublish() && checkChangeIssueSection()">
        <!-- chuyển ban hành / ban hành sau -->
        <ng-container *ngIf="checkDecisionNumberSignDate()">
          <div nz-col class="gutter-row" nzLg="6">
            <mb-input-text
              mbLabelText="{{ 'development.proposed-unit.reportCard.decisionNumber' | translate }}"
              mbPlaceholderText="{{ 'development.proposed-unit.reportCard.decisionNumber' | translate }}"
              [(ngModel)]="decisionNumber"
              [mbDisable]="true"
            >
            </mb-input-text>
          </div>
          <div nz-col class="gutter-row" nzLg="6">
            <mb-date-picker
              mbFormat="dd/MM/yyyy"
              mbPlaceholderText="dd/mm/yyyy"
              mbLabelText="{{ 'development.promulgate.section.dateSign' | translate }}"
              [(ngModel)]="paramDetail.ngayKyHieuLuc"
              [disabled]="true"
            >
            </mb-date-picker>
          </div>
          <div nz-col class="gutter-row" nzLg="12"></div>
        </ng-container>
        <!-- trạng thái 11.1 ẩn ngày cục ngày hiệu lực riêng vs tgian điều động -->
        <ng-container *ngIf="statusPublishCode !== publishCodeConstants.issueTransfer11dot1">
          <ng-container
            *ngIf="checkTypeIssueTransfer2() && !isCheckboxNotify1"
          >
            <!-- nếu đề xuất thành phần nằm trong đề xuất gộp thì hiển thị ngày hiệu lực chung -->
            <div nz-col class="gutter-row" nzLg="6">
              <label
                nz-checkbox
                [(ngModel)]="paramDetail.commonEffectiveDateCB"
                (ngModelChange)="checkCommonEffectiveDate()"
              >
                {{ 'development.promulgate.section.effectiveDateCommon' | translate }}
              </label>
            </div>
            <div nz-col class="gutter-row" nzLg="18"></div>
          </ng-container>
          <!-- nếu đề xuất thành phần k nằm trong gộp, hoặc có tick quyết định riêng thì hiển thị ngày hiệu lực riêng
          -->
          <div nz-col class="gutter-row" nzLg="6">
            <mb-date-picker
              mbFormat="dd/MM/yyyy"
              mbPlaceholderText="dd/mm/yyyy"
              mbLabelText="{{ 'development.promulgate.section.effectiveDate' | translate }}"
              [(ngModel)]="paramDetail.effectiveDate"
              [mbDisabled]="!checkTypeIssueTransfer2() || paramDetail.commonEffectiveDateCB"
              (ngModelChange)="checkEndDateValue()"
            >
            </mb-date-picker>
          </div>
          <!-- nếu hình thức trong đề xuất được chọn trình là điều động thì hiện thời gian luân chuyển-->
          <ng-container *ngIf="checkRotationIssueTransfer(); else dieuChuyen">
            <div nz-col class="gutter-row" nzLg="6" *ngIf="paramDetail.minimumTime && checkTypeIssueTransfer2()">
              <mb-input-text
                [(ngModel)]="paramDetail.minimumTime"
                mbInputType="number"
                mbLabelText="{{ 'development.promulgate.section.minimumTime' | translate }}"
                mbPlaceholderText="{{ 'development.promulgate.section.minimumTime' | translate }}"
                [mbDisable]="true"
              ></mb-input-text>
            </div>
            <div nz-col class="gutter-row" nzLg="6" *ngIf="paramDetail.maximumTime && checkTypeIssueTransfer2()">
              <mb-input-text
                [(ngModel)]="paramDetail.maximumTime"
                mbInputType="number"
                mbLabelText="{{ 'development.promulgate.section.maximumTime' | translate }}"
                mbPlaceholderText="{{ 'development.promulgate.section.maximumTime' | translate }}"
                [mbDisable]="true"
                class="maximumTime"
              ></mb-input-text>
              <mb-select
                [mbDataSelects]="listTypeMaximumTime"
                mbKeyLabel="name"
                mbKeyValue="type"
                mbLabelText="{{ 'development.promulgate.section.typeMaximumTimeLabel' | translate }}"
                mbPlaceholder="{{ 'development.promulgate.section.typeMaximumTime' | translate }}"
                [(ngModel)]="paramDetail.typeMaximumTime"
                [mbDisable]="true"
                class="typeMaximumTime"
              >
              </mb-select>
            </div>
            <div nz-col class="gutter-row" nzLg="6">
              <mb-date-picker
                mbFormat="dd/MM/yyyy"
                mbPlaceholderText="dd/mm/yyyy"
                mbLabelText="{{ 'development.promulgate.section.endDate2' | translate }}"
                [(ngModel)]="paramDetail.endDate1"
                [mbDisabled]="true"
                *ngIf="paramDetail.endDate1"
              >
              </mb-date-picker>
            </div>
          </ng-container>
          <ng-template #dieuChuyen>
            <div nz-col class="gutter-row" nzLg="18"></div>
          </ng-template>
          <ng-container *ngIf="checkTypeIssueTransfer2()">
            <div nz-col class="gutter-row" nzLg="12">
              <mb-input-text
                [mbIsTextAre]='true'
                [mbConfig]="{ rows: 3, autoSize: false }"
                [(ngModel)]="paramDetail.ghiChuChuyenBanHanh"
                [mbMaxLength]="100"
                mbLabelText="{{ 'development.promulgate.section.noteMovePromulgate' | translate }}"
                mbPlaceholderText="{{ 'development.promulgate.section.noteMovePromulgate' | translate }}"
              ></mb-input-text>
            </div>
            <div nz-col class="gutter-row" nzLg="12"></div>
          </ng-container>
        </ng-container>
      </ng-container>

      <!-- 4 nút:Chuyển ban hành, Lý do hủy ban hành, hiệu chỉnh ban hành, hủy phương án *	 -->

      <div nz-col class="gutter-row" nzLg="24">
        <!-- chuyển ban hành -->
        <mb-button
          mbButtonAvailableStyle="PRIMARY"
          mbButtonSize="LARGE"
          mbButtonText="{{ 'development.promulgate.section.changeIssue' | translate }}"
          (click)="issueTransfer()"
          *ngIf="checkTypeIssueTransfer2()"
        >
        </mb-button>
        <!-- hiệu chỉnh ban hành -->
        <mb-button
          mbButtonAvailableStyle="PRIMARY"
          mbButtonSize="LARGE"
          mbButtonText="{{ 'development.promulgate.section.issueCorrection' | translate }}"
          (click)="issueCorrection()"
          *ngIf="checkIssueCorrectionButton()"
          class="button_new"
        >
        </mb-button>
        <!-- yêu cầu hủy ban hành -->
        <mb-button
          mbButtonAvailableStyle="PRIMARY"
          mbButtonSize="LARGE"
          mbButtonText="{{ 'development.promulgate.section.requestCancelIssue' | translate }}"
          (click)="requestCancelation()"
          *ngIf="checkTypeCancelIssueCorrection()"
          class="expand-btn"
        >
        </mb-button>
        <!-- hủy phương án -->
        <mb-button
          mbButtonAvailableStyle="PRIMARY"
          mbButtonSize="LARGE"
          mbButtonText="{{ 'development.list-plan.button.cancel' | translate }}"
          (click)="cancelPlanAction()"
          *ngIf="checkTypeCancelPlan()"
          class="cancelPlanButton"
        >
        </mb-button>
      </div>
    </div>
  </ng-container>
</nz-card>
